Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Lua Development Tools » Unable to creat Lua Project(Lua )
Unable to creat Lua Project [message #1385608] Mon, 09 June 2014 22:27 Go to next message
Jon Elliott is currently offline Jon ElliottFriend
Messages: 5
Registered: June 2014
Junior Member
I've tried installing the LDT plugin through the marketplace and through the 'install new software' option directly, and it always appears to run smoothly but when I open the Lua perspective and try to create a new project nothing happens. I've checked the preferences and I get a 'the currently displayed page contains invalid values' warning when I select the Execution Environment option at first, although this disappears when I clear the warning.

I'm running it on 64-bit OS 10.6.8 and Kepler Eclipse, which should be fine. I've downloaded the standalone application which works perfectly, but I was wanting to run everything from within Eclipse so I'm just a bit confused and would love some advice as to what I'm doing wrong?
Re: Unable to creat Lua Project [message #1385644 is a reply to message #1385608] Tue, 10 June 2014 08:30 Go to previous messageGo to next message
Marc Aubry is currently offline Marc AubryFriend
Messages: 83
Registered: August 2012
Member
Hi Jon,

It look like an installation issue, could you provide your logs and configuration ?
You can find the logs files under <workspacepath>/.metadata/*.log.
You can find your eclipse configuration by going in the "help/about Eclipse" menu, and then "Installation Details" and tab "configuration" (maybe on MacOs menu are not exactly the same).

Marc
Re: Unable to creat Lua Project [message #1385678 is a reply to message #1385644] Tue, 10 June 2014 13:09 Go to previous messageGo to next message
Jon Elliott is currently offline Jon ElliottFriend
Messages: 5
Registered: June 2014
Junior Member
Hi Marc

Thanks, I've attached them below, hopefully this will help.
  • Attachment: config.txt
    (Size: 501.75KB, Downloaded 48 times)
  • Attachment: log.log
    (Size: 270.99KB, Downloaded 21 times)

[Updated on: Tue, 10 June 2014 13:10]

Report message to a moderator

Re: Unable to creat Lua Project [message #1385837 is a reply to message #1385678] Wed, 11 June 2014 14:22 Go to previous messageGo to next message
Marc Aubry is currently offline Marc AubryFriend
Messages: 83
Registered: August 2012
Member
It seems that your Eclipse where you have installed LDT is in 32bits, but LDT for MacOS is only available for 64bits Eclipse platform.

Tell us if your reproduce the problem when installing LDT on an Eclipse 64bit, you may have to install a 64bit JRE as well.
Re: Unable to creat Lua Project [message #1385874 is a reply to message #1385837] Wed, 11 June 2014 21:07 Go to previous message
Jon Elliott is currently offline Jon ElliottFriend
Messages: 5
Registered: June 2014
Junior Member
I installed the 64 bit version of Eclipse and it's working perfectly, thanks for all your help!
Previous Topic:Debug on a microcontroller
Next Topic:How document multi inherit
Goto Forum:
  


Current Time: Fri Nov 28 04:28:42 GMT 2014

Powered by FUDForum. Page generated in 0.01744 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software